ColorSpace (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum ColorSpace

- java.lang.Object
- - java.lang.Enum<ColorSpace>
  - - tv.amwa.maj.enumeration.ColorSpace

- All Implemented Interfaces:
    Serializable, Comparable<ColorSpace>, MediaEnumerationValue

      public enum ColorSpace
      extends Enum<ColorSpace>
      implements MediaEnumerationValue

  Specifies a kind of color space, such as "RGB" or "YCrCb". For more information, see the

  - - ### Enum Constant Summary

      Enum Constants
      Enum Constant and Description
      `CMYK` Uses subtractive color mixing as it describes what kind of inks need to be applied so the light reflected from the substrate and through the inks to produce a given color.
      `HSI` Hue, saturation and intensity with the lightness of a pure color equal to the lightness of a medium gray.
      `HSV` Hue, saturation and value with the lightness of a pure color equal to the brightness of white.
      `RGB` Uses additive color mixing to describe what kind of light needs to be emitted to produce a given color.
      `YCrCb` Family of color spaces used in video and digital photography with Y representing the luma component, Cr the the color difference red component and Cb the color different blue component.
      `YDrDb`
      `YIQ` Formerly used in NTSC television broadcasts representing a luminance value with two chrominance values, corresponding approximately to the amounts of blue and red in the color.
      `YUV` Used in PAL television representing a luminance value with two chrominance values.

    - ### Method Summary

      All Methods Static Methods Instance Methods Concrete Methods
      Modifier and Type | Method and Description
      --- | ---
      `String` | `colorSpaceName()` Returns the name of this color space, for example "RGB".
      `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
      `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
      `static ColorSpace` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
      `static ColorSpace[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

      - ### Methods inherited from class java.lang.Enum

        `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

      - ### Methods inherited from class java.lang.Object

        `getClass, notify, notifyAll, wait, wait, wait`

      - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

        `name`

  - - ### Enum Constant Detail

      - #### RGB

            public static final ColorSpace RGB

        Uses additive color mixing to describe what kind of light needs to be emitted to produce a given color.

      - #### YUV

            public static final ColorSpace YUV

        Used in PAL television representing a luminance value with two chrominance values. Similar to `YIQ` except it is rotated through 33 degrees.

      - #### YIQ

            public static final ColorSpace YIQ

        Formerly used in NTSC television broadcasts representing a luminance value with two chrominance values, corresponding approximately to the amounts of blue and red in the color.

      - #### HSI

            public static final ColorSpace HSI

        Hue, saturation and intensity with the lightness of a pure color equal to the lightness of a medium gray.

      - #### HSV

            public static final ColorSpace HSV

        Hue, saturation and value with the lightness of a pure color equal to the brightness of white.

      - #### YCrCb

            public static final ColorSpace YCrCb

        Family of color spaces used in video and digital photography with Y representing the luma component, Cr the the color difference red component and Cb the color different blue component. YCrCb provides an efficient means for the representation and transmission of RGB color data.

      - #### YDrDb

            public static final ColorSpace YDrDb

      - #### CMYK

            public static final ColorSpace CMYK

        Uses subtractive color mixing as it describes what kind of inks need to be applied so the light reflected from the substrate and through the inks to produce a given color.

    - ### Method Detail

      - #### values

            public static ColorSpace[] values()

        Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

            for (ColorSpace c : ColorSpace.values())
                System.out.println(c);

        Returns:
          an array containing the constants of this enum type, in the order they are declared

      - #### valueOf

            public static ColorSpace valueOf(String name)

        Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
        Parameters:
          `name` - the name of the enum constant to be returned.
        Returns:
          the enum constant with the specified name
        Throws:
          `IllegalArgumentException` - if this enum type has no constant with the specified name
          `NullPointerException` - if the argument is null

      - #### value

            @Int64
            public long value()

        Description copied from interface: `MediaEnumerationValue`

        Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

        Specified by:
          `value` in interface `MediaEnumerationValue`
        Returns:
          Unique integer value associated with an enumeration constant.

      - #### colorSpaceName

            public String colorSpaceName()

        Returns the name of this color space, for example "RGB".

        Returns:
          Colour space name.

      - #### symbol

            public String symbol()

        Description copied from interface: `MediaEnumerationValue`

        Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

        As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

        Specified by:
          `symbol` in interface `MediaEnumerationValue`
        Returns:
          Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.